Page MenuHomePhabricator

$1 in message "wikidata-shortcopyrightwarning" is incorrect on item creation page
Closed, ResolvedPublic

Description

$rightsWarningMessage = wfMessage( 'wikibase-shortcopyrightwarning',

wfMessage( 'wikibase-save' )->inContentLanguage()->text(),
wfMessage( 'copyrightpage' )->inContentLanguage()->text(),
"[$wgRightsUrl $wgRightsText]"

)->parse();

On item creation page wikibase-newentity-submit is used instead of wikibase-save, and not inContentLanguage.


Version: unspecified
Severity: minor

Details

Reference
bz48983
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterShow correct label in copyright message on special pages

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:43 AM
bzimport set Reference to bz48983.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.May 30 2013, 4:24 PM

CopyrightMessageBuilder is currently forced to use the [[w:d:MediaWiki:wikibase-save]] message. This needs refactoring.

The problem with the wrong language seems to be fixed already.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

Change 203669 had a related patch set uploaded (by Bene):
Show correct label in copyright message on special pages

https://gerrit.wikimedia.org/r/203669

Bene claimed this task.Apr 12 2015, 3:44 PM
Bene moved this task from Backlog to Review on the Wikidata-Sprint-2015-04-07 board.
Bene added a subscriber: Bene.

Change 203669 merged by jenkins-bot:
Show correct label in copyright message on special pages

https://gerrit.wikimedia.org/r/203669

Lydia_Pintscher closed this task as Resolved.Apr 14 2015, 11:57 AM
Lydia_Pintscher moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.